[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.Seek

Set the stream position

## Declaration

Source position: classesh.inc line 1170

`public function TStreamAdapter.Seek(`
`dlibMove: Largeint;`
`dwOrigin: DWORD;`
`out libNewPosition: LargeUint`
`):HRESULT; virtual;`

## Description

Seek implements #rtl.types.IStream.Seek by setting the position of the stream specified at creation.

## Errors

This function must be overridden and will raise a runerror 217 when called directly.

## See also

#rtl.types.IStream.Seek |  | Set the stream position